Skip to Content
CerebrumDocs
GuidesAPI referenceTrust & security

Get Shared Wallet Credential

Related workflow: Working with Beams and credentials

GET
/v1/public/wallet-shares/{token}

Returns credential payload data from a valid temporary share token.

Path Parameters

token*string

Response Body

The shared credential's public view.

application/json
  1. response
credentialId*string

Wallet credential id

userName*string|null

Display name of the user who shared the credential

status*string

Credential lifecycle status from CredentialStatusEnum

Value in"PENDING""ACTIVE""REVOKED"
data*object

Credential JSON payload; shape depends on the credential type schema

schema*object|null

JSON Schema for this credential's type (titles, types, etc.)

issuerOrganizationName*string|null

Name of the organization that issued this credential

files*array<WalletSharePublicFile>

Active output files linked to this credential

Example Request
curl -X GET 'https://api.cerebrum.com/v1/public/wallet-shares/string'
Example Response
{  "credentialId": "string",  "userName": "string",  "status": "PENDING",  "data": {},  "schema": {},  "issuerOrganizationName": "string",  "files": [    {      "id": "string",      "name": "string",      "type": "string"    }  ]}